Bug 425875 - Thinkpad Z60m resume fails
Thinkpad Z60m resume fails
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-16 20:29 EST by Chris Adams
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2007-12-16 20:29:03 EST
On a fresh install+updates of F8, suspend to RAM works, but resume fails if the
system was in X when suspended.  If I switch to a text console before suspending
(with pm-suspend), I can resume, but I get no display (I can log in over the
network).  If I try to switch to X after a text-mode suspend/resume, the system
Comment 1 Chris Adams 2007-12-16 23:54:27 EST
I tried hibernate to disk from X, and the resume worked.
Comment 2 Chris Adams 2007-12-17 12:03:06 EST
This is fixed with a change in
/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-ibm.fdi.  Where
it lists Z60m in a comment, it does not include my product prefix.  I have a
2530-38U, so I added 2530 to the prefix list, and now resume works.

Reassigning to hal-info.

FYI: the smolt UUID for this system is 8447bc21-97f9-45d5-a90e-73913a0a62d7.
Comment 3 Chris Adams 2007-12-17 12:03:58 EST
Comment 4 Chris Adams 2008-01-21 15:17:09 EST
Reported upstream as https://bugs.freedesktop.org/show_bug.cgi?id=14187
Comment 5 Chris Adams 2008-03-06 10:08:29 EST
This is fixed in upstream hal-info; any chance this could be updated for F8 and
Comment 6 Chris Adams 2008-04-04 20:21:24 EDT
Rawhide has the update, how about F8?
Comment 7 Bug Zapper 2008-11-26 04:02:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 00:31:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.